Bug 319776 - Akonadi crashed, possibly because of sudden lack of network connection, caused by the laptop going into suspend-to-ram
Summary: Akonadi crashed, possibly because of sudden lack of network connection, cause...
Status: RESOLVED FIXED
Alias: None
Product: Akonadi
Classification: Frameworks and Libraries
Component: IMAP resource (show other bugs)
Version: GIT (master)
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Christian Mollekopf
URL:
Keywords:
: 321055 321253 322440 324460 325478 325777 335354 340740 340942 344791 345833 350559 361213 366151 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-05-13 12:11 UTC by Phil
Modified: 2017-01-07 12:58 UTC (History)
19 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (5.90 KB, text/plain)
2013-06-16 15:27 UTC, auxsvr
Details
New crash information added by DrKonqi (9.77 KB, text/plain)
2013-06-18 11:04 UTC, Diego
Details
New crash information added by DrKonqi (7.83 KB, text/plain)
2013-10-31 07:17 UTC, auxsvr
Details
New crash information added by DrKonqi (8.04 KB, text/plain)
2013-12-16 17:14 UTC, auxsvr
Details
New crash information added by DrKonqi (32.32 KB, text/plain)
2014-04-29 21:34 UTC, Rohan Garg
Details
New crash information added by DrKonqi (7.72 KB, text/plain)
2014-05-05 13:54 UTC, auxsvr
Details
New crash information added by DrKonqi (8.33 KB, text/plain)
2014-07-06 08:07 UTC, RJVB
Details
New crash information added by DrKonqi (8.33 KB, text/plain)
2014-07-06 08:07 UTC, RJVB
Details
New crash information added by DrKonqi (8.33 KB, text/plain)
2014-07-06 08:07 UTC, RJVB
Details
New crash information added by DrKonqi (13.56 KB, text/plain)
2014-07-25 23:02 UTC, auxsvr
Details
New crash information added by DrKonqi (13.25 KB, text/plain)
2014-11-24 11:47 UTC, Frank Beise
Details
New crash information added by DrKonqi (6.84 KB, text/plain)
2015-01-14 09:20 UTC, RJVB
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Phil 2013-05-13 12:11:51 UTC
Application: akonadi_imap_resource (4.10)
KDE Platform Version: 4.10.2
Qt Version: 4.8.4
Operating System: Linux 3.8.0-19-generic i686
Distribution: Ubuntu 13.04

-- Information about the crash:
- Unusual behavior I noticed:

- Custom settings of the application:

The reason for the crash ultimately was probably the sending the laptop into the suspend-to-ram mode, because right afterwards (after "waking it up") the crash became noticable to me.
However, before suspend-to-ram, I was trying to access mails in a very unreliable network connection environment, I was unsuccessful, gave up, and then sent the laptop suspend-to-ram.

-- Backtrace:
Application: philipp_fischer@gmx.de vom Typ IMAP-E-Mail-Server (akonadi_imap_resource), signal: Segmentation fault
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0xb4993740 (LWP 2208))]

Thread 3 (Thread 0xb1c9cb40 (LWP 2254)):
#0  0xb5477a61 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#1  0xb5477d68 in g_mutex_unlock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0xb54342a8 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb5434750 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb5434831 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb72dcc3f in QEventDispatcherGlib::processEvents (this=0xb1300468, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0xb72a93ec in QEventLoop::processEvents (this=this@entry=0xb1c9c238, flags=...) at kernel/qeventloop.cpp:149
#7  0xb72a96e1 in QEventLoop::exec (this=this@entry=0xb1c9c238, flags=...) at kernel/qeventloop.cpp:204
#8  0xb7194fec in QThread::exec (this=this@entry=0x91e8e18) at thread/qthread.cpp:542
#9  0xb64e3cd3 in KIMAP::SessionThread::run (this=0x91e8e18) at ../../kimap/sessionthread.cpp:184
#10 0xb7197b18 in QThreadPrivate::start (arg=0x91e8e18) at thread/qthread_unix.cpp:338
#11 0xb555cd78 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#12 0xb56fa3de in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 2 (Thread 0xafd78b40 (LWP 9395)):
#0  0xb7704424 in __kernel_vsyscall ()
#1  0xb56eadcb in poll () from /lib/i386-linux-gnu/libc.so.6
#2  0xb54432db in g_poll () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb54346d0 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb5434831 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb72dcc3f in QEventDispatcherGlib::processEvents (this=0x91e07d0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0xb72a93ec in QEventLoop::processEvents (this=this@entry=0xafd78238, flags=...) at kernel/qeventloop.cpp:149
#7  0xb72a96e1 in QEventLoop::exec (this=this@entry=0xafd78238, flags=...) at kernel/qeventloop.cpp:204
#8  0xb7194fec in QThread::exec (this=this@entry=0x9248910) at thread/qthread.cpp:542
#9  0xb64e3cd3 in KIMAP::SessionThread::run (this=0x9248910) at ../../kimap/sessionthread.cpp:184
#10 0xb7197b18 in QThreadPrivate::start (arg=0x9248910) at thread/qthread_unix.cpp:338
#11 0xb555cd78 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#12 0xb56fa3de in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 1 (Thread 0xb4993740 (LWP 2208)):
[KCrash Handler]
#7  0x002e0078 in ?? ()
#8  0xb72c29bb in QObject::disconnect (sender=0x910d868, signal=0x80ae344 "2stateChanged(KIMAP::Session::State,KIMAP::Session::State)", receiver=0x91cdf98, method=0x80ae300 "1onSessionStateChanged(KIMAP::Session::State,KIMAP::Session::State)") at kernel/qobject.cpp:2887
#9  0x0809b79d in SessionPool::killSession (this=this@entry=0x91cdf98, session=0x910d868, termination=termination@entry=SessionPool::LogoutSession) at ../../../resources/imap/sessionpool.cpp:177
#10 0x0809bbbc in SessionPool::disconnect (this=0x91cdf98, termination=SessionPool::LogoutSession) at ../../../resources/imap/sessionpool.cpp:117
#11 0x0805edbb in ImapResource::doSetOnline (this=0x91a8348, online=false) at ../../../resources/imap/imapresource.cpp:495
#12 0xb74f8a41 in Akonadi::AgentBase::setOnlineInternal (this=0x91a8348, state=false) at ../../akonadi/agentbase.cpp:659
#13 0xb74f8cd7 in Akonadi::AgentBasePrivate::slotNetworkStatusChange (this=0x91a1b58, stat=Solid::Networking::Unconnected) at ../../akonadi/agentbase.cpp:514
#14 0xb74f932c in Akonadi::AgentBase::qt_static_metacall (_o=0x91a8348, _c=QMetaObject::InvokeMetaMethod, _id=18, _a=0xbff5e988) at ./moc_agentbase.cpp:102
#15 0xb72c0b56 in QMetaObject::activate (sender=sender@entry=0x91a7620, m=m@entry=0xb60ab7f8 <Solid::Networking::Notifier::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0xbff5e988) at kernel/qobject.cpp:3539
#16 0xb600e405 in Solid::Networking::Notifier::statusChanged (this=0x91a7620, _t1=_t1@entry=Solid::Networking::Unconnected) at ./networking.moc:104
#17 0xb600e572 in Solid::NetworkingPrivate::serviceStatusChanged (this=0x91a7620, status=1) at ../../../solid/solid/networking.cpp:118
#18 0xb72c0b56 in QMetaObject::activate (sender=sender@entry=0x91af488, m=m@entry=0xb60b2d38 <OrgKdeSolidNetworkingClientInterface::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0xbff5eaa8) at kernel/qobject.cpp:3539
#19 0xb6078255 in OrgKdeSolidNetworkingClientInterface::statusChanged (this=this@entry=0x91af488, _t1=1) at org_kde_solid_networking_client.moc:132
#20 0xb60782a7 in OrgKdeSolidNetworkingClientInterface::qt_static_metacall (_o=0x91af488, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0xbff5ec7c) at org_kde_solid_networking_client.moc:58
#21 0xb60786e7 in OrgKdeSolidNetworkingClientInterface::qt_metacall (this=0x91af488, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0xbff5ec7c) at org_kde_solid_networking_client.moc:99
#22 0xb74397be in QDBusConnectionPrivate::deliverCall (this=0x90ce010, object=0x91af488, msg=..., metaTypes=..., slotIdx=1) at qdbusintegrator.cpp:951
#23 0xb74433dd in QDBusCallDeliveryEvent::placeMetaCall (this=0x9276ea8, object=0x91af488) at qdbusintegrator_p.h:103
#24 0xb72c648b in QObject::event (this=0x91af488, e=0x9276ea8) at kernel/qobject.cpp:1194
#25 0xb6799c7c in QApplicationPrivate::notify_helper (this=0x906caa0, receiver=0x91af488, e=0x9276ea8) at kernel/qapplication.cpp:4567
#26 0xb679cb94 in QApplication::notify (this=0x9276ea8, receiver=0x91af488, e=0x9276ea8) at kernel/qapplication.cpp:3949
#27 0xb5d6fd01 in KApplication::notify (this=0xbff5f4a4, receiver=0x91af488, event=0x9276ea8) at ../../kdeui/kernel/kapplication.cpp:311
#28 0xb72aa90e in QCoreApplication::notifyInternal (this=0xbff5f4a4, receiver=0x91af488, event=0x9276ea8) at kernel/qcoreapplication.cpp:946
#29 0xb72ae721 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#30 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x9046218) at kernel/qcoreapplication.cpp:1570
#31 0xb72aea8c in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1463
#32 0xb72dcaa4 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#33 postEventSourceDispatch (s=0x906b790) at kernel/qeventdispatcher_glib.cpp:279
#34 0xb54343b3 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#35 0xb5434750 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#36 0xb5434831 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#37 0xb72dcc21 in QEventDispatcherGlib::processEvents (this=this@entry=0x906b478, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#38 0xb6850a5a in QGuiEventDispatcherGlib::processEvents (this=0x906b478, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#39 0xb72a93ec in QEventLoop::processEvents (this=this@entry=0xbff5f408, flags=...) at kernel/qeventloop.cpp:149
#40 0xb72a96e1 in QEventLoop::exec (this=this@entry=0xbff5f408, flags=...) at kernel/qeventloop.cpp:204
#41 0xb72af3fa in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1218
#42 0xb6797fc4 in QApplication::exec () at kernel/qapplication.cpp:3828
#43 0xb75d4501 in Akonadi::ResourceBase::init (r=r@entry=0x91a8348) at ../../akonadi/resourcebase.cpp:451
#44 0x0806064b in Akonadi::ResourceBase::init<ImapResource> (argc=argc@entry=3, argv=argv@entry=0xbff5f584) at /usr/include/akonadi/resourcebase.h:188
#45 0x08058abb in main (argc=3, argv=0xbff5f584) at ../../../resources/imap/imapresource.cpp:703

This bug may be a duplicate of or related to bug 288268.

Possible duplicates by query: bug 315584, bug 312706, bug 312057, bug 308737, bug 308641.

Reported using DrKonqi
Comment 1 Jekyll Wu 2013-06-12 14:03:09 UTC
*** Bug 321055 has been marked as a duplicate of this bug. ***
Comment 2 auxsvr 2013-06-16 15:27:24 UTC
Created attachment 80555 [details]
New crash information added by DrKonqi

akonadi_imap_resource (4.10) on KDE Platform 4.10.4 using Qt 4.8.4

- What I was doing when the application crashed:

The connection to the IMAP server was faulty and the IMAP resource crashed after I set KMail offline, then online.

-- Backtrace (Reduced):
#7  0xb732f4fb in QObject::disconnect (sender=0x8740e38, signal=0x80af7a4 "2stateChanged(KIMAP::Session::State,KIMAP::Session::State)", receiver=0x86e1e80, method=0x80af760 "1onSessionStateChanged(KIMAP::Session::State,KIMAP::Session::State)") at kernel/qobject.cpp:2896
#8  0x0809ccad in SessionPool::killSession (this=this@entry=0x86e1e80, session=0x8740e38, termination=termination@entry=SessionPool::LogoutSession) at /usr/src/debug/kdepim-runtime-4.10.4/resources/imap/sessionpool.cpp:177
#9  0x0809d0cc in SessionPool::disconnect (this=0x86e1e80, termination=SessionPool::LogoutSession) at /usr/src/debug/kdepim-runtime-4.10.4/resources/imap/sessionpool.cpp:117
#10 0x0805db0b in ImapResource::doSetOnline (this=0x8699da8, online=false) at /usr/src/debug/kdepim-runtime-4.10.4/resources/imap/imapresource.cpp:495
#11 0xb756abee in Akonadi::AgentBase::setOnlineInternal (this=this@entry=0x8699da8, state=state@entry=false) at /usr/src/debug/kdepimlibs-4.10.4/akonadi/agentbase.cpp:659
Comment 3 Daniel Vrátil 2013-06-17 09:03:08 UTC
*** Bug 321253 has been marked as a duplicate of this bug. ***
Comment 4 Diego 2013-06-18 11:04:11 UTC
Created attachment 80607 [details]
New crash information added by DrKonqi

akonadi_imap_resource (4.10) on KDE Platform 4.10.4 using Qt 4.8.4

- What I was doing when the application crashed:

I unplugged my ethernet cable from a network with a gateway to internet from a network isolated from internet (gateway set, but DSL connection down). After some time I got this crash.

-- Backtrace (Reduced):
#7  0x00007f69278d74c1 in QObject::disconnect (sender=0x19b2750, signal=0x1789279 "stateChanged(KIMAP::Session::State,KIMAP::Session::State)", receiver=0x18b68d0, method=0x1a4a1f9 "onSessionStateChanged(KIMAP::Session::State,KIMAP::Session::State)") at kernel/qobject.cpp:2887
#8  0x0000000000454f45 in SessionPool::killSession (this=this@entry=0x18b68d0, session=0x19b2750, termination=termination@entry=SessionPool::LogoutSession) at /usr/src/debug/kdepim-runtime-4.10.4/resources/imap/sessionpool.cpp:177
#9  0x000000000045531d in SessionPool::disconnect (this=0x18b68d0, termination=SessionPool::LogoutSession) at /usr/src/debug/kdepim-runtime-4.10.4/resources/imap/sessionpool.cpp:117
#10 0x0000000000418c03 in ImapResource::doSetOnline (this=0x1882a40, online=false) at /usr/src/debug/kdepim-runtime-4.10.4/resources/imap/imapresource.cpp:495
#11 0x00007f6927f252d9 in Akonadi::AgentBase::setOnlineInternal (this=this@entry=0x1882a40, state=state@entry=false) at /usr/src/debug/kdepimlibs-4.10.4/akonadi/agentbase.cpp:659
Comment 5 Daniel Vrátil 2013-10-01 09:22:23 UTC
*** Bug 322440 has been marked as a duplicate of this bug. ***
Comment 6 Daniel Vrátil 2013-10-01 09:23:10 UTC
*** Bug 324460 has been marked as a duplicate of this bug. ***
Comment 7 Daniel Vrátil 2013-10-01 09:23:33 UTC
*** Bug 325478 has been marked as a duplicate of this bug. ***
Comment 8 Jekyll Wu 2013-10-08 14:47:53 UTC
*** Bug 325777 has been marked as a duplicate of this bug. ***
Comment 9 auxsvr 2013-10-31 07:17:16 UTC
Created attachment 83247 [details]
New crash information added by DrKonqi

akonadi_imap_resource (4.11) on KDE Platform 4.11.2 using Qt 4.8.5

- What I was doing when the application crashed:

As the computer was resuming from suspend-to-RAM, the crash report appeared. The internet connection is not completely reliable.

-- Backtrace (Reduced):
#6  0xb72e0659 in QObject::disconnect (sender=0x998eb10, signal=0x80b4524 "2stateChanged(KIMAP::Session::State,KIMAP::Session::State)", receiver=0x99542d8, method=0x80b44e0 "1onSessionStateChanged(KIMAP::Session::State,KIMAP::Session::State)") at kernel/qobject.cpp:2900
#7  0x080a122d in SessionPool::killSession (this=this@entry=0x99542d8, session=0x998eb10, termination=termination@entry=SessionPool::LogoutSession) at /usr/src/debug/kdepim-runtime-4.11.2/resources/imap/sessionpool.cpp:183
#8  0x080a164c in SessionPool::disconnect (this=0x99542d8, termination=SessionPool::LogoutSession) at /usr/src/debug/kdepim-runtime-4.11.2/resources/imap/sessionpool.cpp:117
#9  0x0805e9fb in ImapResource::doSetOnline (this=0x98f9a68, online=false) at /usr/src/debug/kdepim-runtime-4.11.2/resources/imap/imapresource.cpp:531
#10 0xb7522a3e in Akonadi::AgentBase::setOnlineInternal (this=0x98f9a68, state=false) at /usr/src/debug/kdepimlibs-4.11.2/akonadi/agentbase.cpp:781
Comment 10 Kevin Ottens 2013-11-16 07:28:26 UTC
The IMAP resource has a new maintainer, reassigning to him.
Comment 11 auxsvr 2013-12-16 17:14:19 UTC
Created attachment 84127 [details]
New crash information added by DrKonqi

akonadi_imap_resource (4.11) on KDE Platform 4.11.4 using Qt 4.8.5

- What I was doing when the application crashed:

The wifi connection is unstable and it dropped several times. Later, the resource crashed for no apparent reason.

-- Backtrace (Reduced):
#7  0xb730e65b in QObject::disconnect (sender=0x8558090, signal=0x80b4e84 "2stateChanged(KIMAP::Session::State,KIMAP::Session::State)", receiver=0x85604f8, method=0x80b4e40 "1onSessionStateChanged(KIMAP::Session::State,KIMAP::Session::State)") at kernel/qobject.cpp:2900
#8  0x080a17cd in SessionPool::killSession (this=this@entry=0x85604f8, session=0x8558090, termination=termination@entry=SessionPool::LogoutSession) at /usr/src/debug/kdepim-runtime-4.11.4/resources/imap/sessionpool.cpp:183
#9  0x080a1bec in SessionPool::disconnect (this=0x85604f8, termination=SessionPool::LogoutSession) at /usr/src/debug/kdepim-runtime-4.11.4/resources/imap/sessionpool.cpp:117
#10 0x0805eafb in ImapResource::doSetOnline (this=0x8503f18, online=false) at /usr/src/debug/kdepim-runtime-4.11.4/resources/imap/imapresource.cpp:537
#11 0xb7550ade in Akonadi::AgentBase::setOnlineInternal (this=0x8503f18, state=false) at /usr/src/debug/kdepimlibs-4.11.4/akonadi/agentbase.cpp:781
Comment 12 Christian Mollekopf 2014-01-13 09:09:15 UTC
Git commit 73dd22e5f1c7019c502fcc7b5d6221d336d3785c by Christian Mollekopf.
Committed on 13/01/2014 at 09:08.
Pushed by cmollekopf into branch 'master'.

Try to avoid another crash in the imap resource.

This crash might have appeared when:
* KIMAP::LoginJob fails with connectionLost
* SessionPool::onLoginDone calls cancelSessionCreation
* the emit connectDone will hiddenly leave the function and
call IMAPResource::onConnectDone which again calls SessionPool::disconnect
thus potentially deleting all Sessions (although with deleteLater()).
* cancelSessionCreation later calls killSession again with the pointer
that is potentially already deleted using deleteLater from the call to
disconnect.
* The code finally crashes in killSession when calling QObject::disconnect on
the apparently invalid session pointer.

The analysis is based on the backtrace in 322440 (duplicate of 319776).

Note that this analysis makes only sense if the deleteLater was actually
executed for some reason (we somehow entered the eventloop),
and that I never managed to write a testcase reproducing the issue.

Since I'm out of ideas I try anyways, also, code that leaves the function
in the middle of the function due to signals gives me headaches.
REVIEW: 114995

M  +5    -5    resources/imap/sessionpool.cpp

http://commits.kde.org/kdepim-runtime/73dd22e5f1c7019c502fcc7b5d6221d336d3785c
Comment 13 Rohan Garg 2014-04-29 21:34:05 UTC
Created attachment 86354 [details]
New crash information added by DrKonqi

akonadi_imap_resource (4.13) on KDE Platform 4.13.0 using Qt 4.8.6

- What I was doing when the application crashed:
Switching between 2 very unreliable wifi networks

- Unusual behavior I noticed:
Akonadi crashes

- Custom settings of the application:
Just have my GMail account added to Akonadi

-- Backtrace (Reduced):
#7  0x00007f4a4eeef999 in QObject::disconnect (sender=0x1ac7140, signal=0x19c2d89 "stateChanged(KIMAP::Session::State,KIMAP::Session::State)", signal@entry=0x472d48 "2stateChanged(KIMAP::Session::State,KIMAP::Session::State)", receiver=receiver@entry=0x18f3960, method=0x19c2829 "onSessionStateChanged(KIMAP::Session::State,KIMAP::Session::State)", method@entry=0x472d00 "1onSessionStateChanged(KIMAP::Session::State,KIMAP::Session::State)") at kernel/qobject.cpp:2883
#8  0x000000000045e915 in SessionPool::killSession (this=this@entry=0x18f3960, session=0x1ac7140, termination=termination@entry=SessionPool::LogoutSession) at ../../../resources/imap/sessionpool.cpp:182
#9  0x000000000045ecb5 in SessionPool::disconnect (this=0x18f3960, termination=termination@entry=SessionPool::LogoutSession) at ../../../resources/imap/sessionpool.cpp:115
#10 0x000000000042007b in ImapResource::doSetOnline (this=0x18c8620, online=<optimized out>) at ../../../resources/imap/imapresource.cpp:624
#11 0x00007f4a4f54ff21 in Akonadi::AgentBase::setOnlineInternal (this=0x18c8620, state=false) at ../../akonadi/agentbase.cpp:967
Comment 14 auxsvr 2014-05-05 13:54:45 UTC
Created attachment 86472 [details]
New crash information added by DrKonqi

akonadi_imap_resource (4.13) on KDE Platform 4.13.0 using Qt 4.8.4

- What I was doing when the application crashed:

The Wifi connection failed due to a driver bug, the IMAP resource crashed later.

-- Backtrace (Reduced):
#7  0xb72f94fb in QObject::disconnect (sender=0xa1d89c0, signal=0x80bbed0 "2stateChanged(KIMAP::Session::State,KIMAP::Session::State)", receiver=0xa217c60, method=0x80bbe8c "1onSessionStateChanged(KIMAP::Session::State,KIMAP::Session::State)") at kernel/qobject.cpp:2896
#8  0x080a7a8d in SessionPool::killSession (this=this@entry=0xa217c60, session=0xa1d89c0, termination=termination@entry=SessionPool::LogoutSession) at /usr/src/debug/kdepim-runtime-4.13.0/resources/imap/sessionpool.cpp:182
#9  0x080a7e9c in SessionPool::disconnect (this=0xa217c60, termination=SessionPool::LogoutSession) at /usr/src/debug/kdepim-runtime-4.13.0/resources/imap/sessionpool.cpp:115
#10 0x080600ab in ImapResource::doSetOnline (this=0xa222f10, online=false) at /usr/src/debug/kdepim-runtime-4.13.0/resources/imap/imapresource.cpp:624
#11 0xb75445ca in Akonadi::AgentBase::setOnlineInternal (this=this@entry=0xa222f10, state=state@entry=false) at /usr/src/debug/kdepimlibs-4.13.0/akonadi/agentbase.cpp:967
Comment 15 Jekyll Wu 2014-05-27 00:42:46 UTC
*** Bug 335354 has been marked as a duplicate of this bug. ***
Comment 16 RJVB 2014-07-06 08:07:47 UTC
Created attachment 87591 [details]
New crash information added by DrKonqi

akonadi_imap_resource (4.13) on KDE Platform 4.13.2 using Qt 4.8.6

This bug is clearly not yet resolved in KDE 4.13.2

- What I was doing when the application crashed:
I'd suspended the computer by closing the laptop lid, without taking kmail offline first. 1st time I woke it up, the KDE session maintained a black screen but the regular console output from the wifi driver had occurred. I closed the lid once, and when I woke the system for the 2nd time everything seemed all right until DrKonq appeared.

-- Backtrace (Reduced):
#6  0x00007f3237d36997 in QObject::disconnect (sender=0x1912ea0, signal=0x189f3d9 "stateChanged(KIMAP::Session::State,KIMAP::Session::State)", signal@entry=0x473ac8 "2stateChanged(KIMAP::Session::State,KIMAP::Session::State)", receiver=receiver@entry=0x1730c60, method=0x18e3bb9 "onSessionStateChanged(KIMAP::Session::State,KIMAP::Session::State)", method@entry=0x473a80 "1onSessionStateChanged(KIMAP::Session::State,KIMAP::Session::State)") at kernel/qobject.cpp:2883
#7  0x000000000045f455 in SessionPool::killSession (this=this@entry=0x1730c60, session=0x1912ea0, termination=termination@entry=SessionPool::LogoutSession) at ../../../resources/imap/sessionpool.cpp:182
#8  0x000000000045f7f5 in SessionPool::disconnect (this=0x1730c60, termination=termination@entry=SessionPool::LogoutSession) at ../../../resources/imap/sessionpool.cpp:115
#9  0x0000000000418e1b in ImapResource::startConnect (this=0x16f7b60) at ../../../resources/imap/imapresource.cpp:302
#10 0x000000000043ce89 in ImapResource::qt_static_metacall (_o=0x1912ea0, _o@entry=0x16f7b60, _c=2208992016, _c@entry=QMetaObject::InvokeMetaMethod, _id=1, _id@entry=14, _a=0x0, _a@entry=0x7fff83aa8e00) at moc_imapresource.cpp:117
Comment 17 RJVB 2014-07-06 08:07:48 UTC
Created attachment 87592 [details]
New crash information added by DrKonqi

akonadi_imap_resource (4.13) on KDE Platform 4.13.2 using Qt 4.8.6

This bug is clearly not yet resolved in KDE 4.13.2

- What I was doing when the application crashed:
I'd suspended the computer by closing the laptop lid, without taking kmail offline first. 1st time I woke it up, the KDE session maintained a black screen but the regular console output from the wifi driver had occurred. I closed the lid once, and when I woke the system for the 2nd time everything seemed all right until DrKonq appeared.

-- Backtrace (Reduced):
#6  0x00007f3237d36997 in QObject::disconnect (sender=0x1912ea0, signal=0x189f3d9 "stateChanged(KIMAP::Session::State,KIMAP::Session::State)", signal@entry=0x473ac8 "2stateChanged(KIMAP::Session::State,KIMAP::Session::State)", receiver=receiver@entry=0x1730c60, method=0x18e3bb9 "onSessionStateChanged(KIMAP::Session::State,KIMAP::Session::State)", method@entry=0x473a80 "1onSessionStateChanged(KIMAP::Session::State,KIMAP::Session::State)") at kernel/qobject.cpp:2883
#7  0x000000000045f455 in SessionPool::killSession (this=this@entry=0x1730c60, session=0x1912ea0, termination=termination@entry=SessionPool::LogoutSession) at ../../../resources/imap/sessionpool.cpp:182
#8  0x000000000045f7f5 in SessionPool::disconnect (this=0x1730c60, termination=termination@entry=SessionPool::LogoutSession) at ../../../resources/imap/sessionpool.cpp:115
#9  0x0000000000418e1b in ImapResource::startConnect (this=0x16f7b60) at ../../../resources/imap/imapresource.cpp:302
#10 0x000000000043ce89 in ImapResource::qt_static_metacall (_o=0x1912ea0, _o@entry=0x16f7b60, _c=2208992016, _c@entry=QMetaObject::InvokeMetaMethod, _id=1, _id@entry=14, _a=0x0, _a@entry=0x7fff83aa8e00) at moc_imapresource.cpp:117
Comment 18 RJVB 2014-07-06 08:07:48 UTC
Created attachment 87593 [details]
New crash information added by DrKonqi

akonadi_imap_resource (4.13) on KDE Platform 4.13.2 using Qt 4.8.6

This bug is clearly not yet resolved in KDE 4.13.2

- What I was doing when the application crashed:
I'd suspended the computer by closing the laptop lid, without taking kmail offline first. 1st time I woke it up, the KDE session maintained a black screen but the regular console output from the wifi driver had occurred. I closed the lid once, and when I woke the system for the 2nd time everything seemed all right until DrKonq appeared.

-- Backtrace (Reduced):
#6  0x00007f3237d36997 in QObject::disconnect (sender=0x1912ea0, signal=0x189f3d9 "stateChanged(KIMAP::Session::State,KIMAP::Session::State)", signal@entry=0x473ac8 "2stateChanged(KIMAP::Session::State,KIMAP::Session::State)", receiver=receiver@entry=0x1730c60, method=0x18e3bb9 "onSessionStateChanged(KIMAP::Session::State,KIMAP::Session::State)", method@entry=0x473a80 "1onSessionStateChanged(KIMAP::Session::State,KIMAP::Session::State)") at kernel/qobject.cpp:2883
#7  0x000000000045f455 in SessionPool::killSession (this=this@entry=0x1730c60, session=0x1912ea0, termination=termination@entry=SessionPool::LogoutSession) at ../../../resources/imap/sessionpool.cpp:182
#8  0x000000000045f7f5 in SessionPool::disconnect (this=0x1730c60, termination=termination@entry=SessionPool::LogoutSession) at ../../../resources/imap/sessionpool.cpp:115
#9  0x0000000000418e1b in ImapResource::startConnect (this=0x16f7b60) at ../../../resources/imap/imapresource.cpp:302
#10 0x000000000043ce89 in ImapResource::qt_static_metacall (_o=0x1912ea0, _o@entry=0x16f7b60, _c=2208992016, _c@entry=QMetaObject::InvokeMetaMethod, _id=1, _id@entry=14, _a=0x0, _a@entry=0x7fff83aa8e00) at moc_imapresource.cpp:117
Comment 19 Christian Mollekopf 2014-07-23 19:52:51 UTC
I just ran into this again after resuming from suspend. Can't really explain what's happending though.

akonadi_kolab_resource_2(9740) KolabRetrieveCollectionsTask::createCollection: creating collection  "christian.mollekopfatgmail.com/Be[156/47975] parent  ("christian.mollekopfatgmail.com")
akonadi_kolab_resource_2(9740) KolabRetrieveCollectionsTask::createCollection: creating collection  "christian.mollekopfatgmail.com/Reisen"  with
 parent  ("christian.mollekopfatgmail.com")
akonadi_kolab_resource_2(9740) KolabRetrieveCollectionsTask::createCollection: creating collection  "cmollekopfatgmail.com/Archive"  with parent 
 ("cmollekopfatgmail.com")
akonadi_kolab_resource_2(9740) KolabRetrieveCollectionsTask::createCollection: creating collection  "cmollekopfatgmail.com/INBOX"  with parent  (
"cmollekopfatgmail.com")
akonadi_kolab_resource_2(9740) KolabRetrieveCollectionsTask::createCollection: creating collection  "cmollekopfatgmail.com/Personal"  with parent
  ("cmollekopfatgmail.com")
akonadi_kolab_resource_2(9740) KolabRetrieveCollectionsTask::createCollection: creating collection  "cmollekopfatgmail.com/Receipts"  with parent
  ("cmollekopfatgmail.com")
akonadi_kolab_resource_2(9740) KolabRetrieveCollectionsTask::createCollection: creating collection  "cmollekopfatgmail.com/Sent"  with parent  ("
cmollekopfatgmail.com")
akonadi_kolab_resource_2(9740) KolabRetrieveCollectionsTask::createCollection: creating collection  "cmollekopfatgmail.com/Trash"  with parent  (
"cmollekopfatgmail.com")
akonadi_kolab_resource_2(9740) KolabRetrieveCollectionsTask::createCollection: creating collection  "cmollekopfatgmail.com/Travel"  with parent  
("cmollekopfatgmail.com")
akonadi_kolab_resource_2(9740) KolabRetrieveCollectionsTask::createCollection: creating collection  "cmollekopfatgmail.com/Work"  with parent  ("
cmollekopfatgmail.com")
akonadi_kolab_resource_2(9740) KolabRetrieveCollectionsTask::createCollection: creating collection  "new folder"  with parent  ()
akonadi_kolab_resource_2(9740) KolabRetrieveCollectionsTask::createCollection: creating collection  "outbox"  with parent  ()
akonadi_kolab_resource_2(9740) KolabRetrieveCollectionsTask::createCollection: creating collection  "sent-mail"  with parent  ()
akonadi_kolab_resource_2(9740)/libakonadi Akonadi::CollectionSync::Private::execute: void Akonadi::CollectionSync::Private::execute() localListDo
ne:  false  deliveryDone:  true
akonadi_kolab_resource_2(9740)/libakonadi Akonadi::CollectionSync::Private::execute: void Akonadi::CollectionSync::Private::execute() localListDo
ne:  true  deliveryDone:  true
drkonqi(18437) KCrashBackend::stopAttachedProcess: Sending SIGSTOP to process
akonadi_kolab_resource_2(9740)/kdepimlibs (kimap) KIMAP::SessionThread::doCloseSocket: close
drkonqi(18437) KCrashBackend::continueAttachedProcess: Sending SIGCONT to process
QSocketNotifier: Invalid socket 10 and type 'Read', disabling...

The crash can be reproduced sometimes.

-- Backtrace:
Application: IMAP Account 12 of type Kolab Groupware Server (akonadi_kolab_resource), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
81	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
[Current thread is 1 (Thread 0x7fa6f84018c0 (LWP 9739))]

Thread 2 (Thread 0x7fa6ec08d700 (LWP 18418)):
#0  0x00000034ef0ea9dd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00000034f20495b4 in g_main_context_poll (priority=2147483647, n_fds=1, fds=0x7fa6e400e990, timeout=-1, context=0x7fa6e401b420) at gmain.c:4007
#2  g_main_context_iterate (context=context@entry=0x7fa6e401b420, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3708
#3  0x00000034f20496dc in g_main_context_iteration (context=0x7fa6e401b420, may_block=1) at gmain.c:3774
#4  0x00000034afdb5af6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#5  0x00000034afd8595f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#6  0x00000034afd85cad in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#7  0x00000034afc79e8f in QThread::exec() () from /lib64/libQtCore.so.4
#8  0x00000034afc7c6bf in QThreadPrivate::start(void*) () from /lib64/libQtCore.so.4
#9  0x00000034ef807f33 in start_thread (arg=0x7fa6ec08d700) at pthread_create.c:309
#10 0x00000034ef0f4ded in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 1 (Thread 0x7fa6f84018c0 (LWP 9739)):
[KCrash Handler]
#6  0x0000000000000001 in ?? ()
#7  0x00000034afd9aa3b in QObject::disconnect(QObject const*, char const*, QObject const*, char const*) () from /lib64/libQtCore.so.4
#8  0x000000000046da5c in SessionPool::killSession (this=0x25f75b0, session=0x262ba80, termination=SessionPool::LogoutSession) at /home/chrigi/devel/kde/kdepim-runtime/resources/imap/sessionpool.cpp:198
#9  0x000000000046d611 in SessionPool::disconnect (this=0x25f75b0, termination=SessionPool::LogoutSession) at /home/chrigi/devel/kde/kdepim-runtime/resources/imap/sessionpool.cpp:115
#10 0x0000000000448983 in ImapResourceBase::startConnect (this=0x25c5590) at /home/chrigi/devel/kde/kdepim-runtime/resources/imap/imapresourcebase.cpp:246
#11 0x0000000000482a34 in ImapResourceBase::qt_static_metacall (_o=0x25c5590, _c=QMetaObject::InvokeMetaMethod, _id=14, _a=0x7fffbd4798d0) at /home/chrigi/devel/build/master/kde/kdepim-runtime/resources/imap/moc_imapresourcebase.cpp:118
#12 0x00000034afd8f248 in QMetaMethod::invoke(QObject*, Qt::ConnectionType, QGenericReturnArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument) const () from /lib64/libQtCore.so.4
#13 0x00000034afd91948 in QMetaObject::invokeMethod(QObject*, char const*, Qt::ConnectionType, QGenericReturnArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument) () from /lib64/libQtCore.so.4
#14 0x00007fa6f9bbfc67 in QMetaObject::invokeMethod (obj=0x25c5590, member=0x25af598 "startConnect", val0=..., val1=..., val2=..., val3=..., val4=..., val5=..., val6=..., val7=..., val8=..., val9=...) at /usr/include/QtCore/qobjectdefs.h:434
#15 0x00007fa6f9ca791f in Akonadi::ResourceScheduler::executeNext (this=0x25f8320) at /home/chrigi/devel/kde/kdepimlibs/akonadi/resourcescheduler.cpp:348
#16 0x00007fa6f9ca9c05 in Akonadi::ResourceScheduler::qt_static_metacall (_o=0x25f8320, _c=QMetaObject::InvokeMetaMethod, _id=18, _a=0x25fb770) at /home/chrigi/devel/build/master/kde/kdepimlibs/akonadi/moc_resourcescheduler_p.cpp:101
#17 0x00000034afd9febe in QObject::event(QEvent*) () from /lib64/libQtCore.so.4
#18 0x00000034b1dcae7c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQtGui.so.4
#19 0x00000034b1dd17e5 in QApplication::notify(QObject*, QEvent*) () from /lib64/libQtGui.so.4
#20 0x00000033e8c4ab0a in KApplication::notify (this=0x7fffbd47a930, receiver=0x25f8320, event=0x2502a90) at /usr/src/debug/kdelibs-4.12.5/kdeui/kernel/kapplication.cpp:311
#21 0x00000034afd86ebd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /lib64/libQtCore.so.4
#22 0x00000034afd8a0d5 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /lib64/libQtCore.so.4
#23 0x00000034afdb6253 in postEventSourceDispatch(_GSource*, int (*)(void*), void*) () from /lib64/libQtCore.so.4
#24 0x00000034f20492a6 in g_main_dispatch (context=0x2412100) at gmain.c:3066
#25 g_main_context_dispatch (context=context@entry=0x2412100) at gmain.c:3642
#26 0x00000034f2049628 in g_main_context_iterate (context=context@entry=0x2412100, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3713
#27 0x00000034f20496dc in g_main_context_iteration (context=0x2412100, may_block=1) at gmain.c:3774
#28 0x00000034afdb5ad5 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#29 0x00000034b1e6cd66 in QGuiEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtGui.so.4
#30 0x00000034afd8595f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#31 0x00000034afd85cad in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#32 0x00000034afd8b399 in QCoreApplication::exec() () from /lib64/libQtCore.so.4
#33 0x00007fa6f9c9cfd1 in Akonadi::ResourceBase::init (r=0x25c5590) at /home/chrigi/devel/kde/kdepimlibs/akonadi/resourcebase.cpp:570
#34 0x000000000043477c in Akonadi::ResourceBase::init<KolabResource> (argc=3, argv=0x7fffbd47aa88) at /opt/devel/master/include/akonadi/resourcebase.h:193
#35 0x00000000004336a0 in main (argc=3, argv=0x7fffbd47aa88) at /home/chrigi/devel/kde/kdepim-runtime/resources/kolab/kolabresource.cpp:184
Comment 20 Christian Mollekopf 2014-07-23 19:57:15 UTC
That was the wrong console output...

akonadi_kolab_resource_11(9739)/kdepimlibs (kimap) KIMAP::SessionPrivate::responseReceived: Received BYE:  "idle for too long "
akonadi_kolab_resource_11(9739) ImapResourceBase::doSetOnline: online= false
akonadi_kolab_resource_11(9739) ImapResourceBase::doSetOnline: online= true
akonadi_kolab_resource_11(9739)/kdepimlibs (kimap) KIMAP::SessionThread::doCloseSocket: close
akonadi_kolab_resource_11(9739)/kdeui (Wallet) KWallet::Wallet::openWallet: Pass a valid window to KWallet::Wallet::openWallet().
kwalletd(9040)/kdeui (Wallet) KWalletD::openAsync: openAsync for  ":1.1163"
klauncher(9023)/kdecore (KSycoca) KSycocaPrivate::openDatabase: Trying to open ksycoca from "/var/tmp/kdesycoca-custom"
klauncher(9023)/kio (KLauncher) KLauncher::processRequestReturn: "/usr/bin/kwalletmanager" (pid 18048) up and running.
akonadi_kolab_resource_11(9739)/kdepimlibs (kimap) KIMAP::LoginJob::LoginJob: KIMAP::LoginJob(0x248b280)
akonadi_kolab_resource_11(9739)/kdepimlibs (kimap) KIMAP::SessionThread::reconnect: connectToHost "192.168.122.10" 993
akonadi_kolab_resource_11(9739)/kdepimlibs (kimap) KIMAP::LoginJob::doStart: KIMAP::LoginJob(0x248b280)
akonadi_kolab_resource_11(9739)/kssl KTcpSocket::showSslErrors: "The host name did not match any of the valid hosts for this certificate"
akonadi_kolab_resource_11(9739)/kssl KTcpSocket::showSslErrors: "The certificate is self-signed, and untrusted"
akonadi_kolab_resource_11(9739)/kssl KTcpSocket::showSslErrors: "The certificate has expired"
akonadi_kolab_resource_11(9739)/kdepimlibs (kimap) KIMAP::SessionThread::sslConnected: Initial SSL handshake failed. cipher.isNull() is false , cipher.usedBits() is 256 , the socket says: "Unknown error" and the list of SSL errors contains 3 items.
akonadi_kolab_resource_11(9739)/kssl KIO::SslUi::askIgnoreSslErrors: Error list empty after removing errors to be ignored. Continuing.
kwalletmanager(18050)/kdeui (KNotification) KStatusNotifierItemDBus::KStatusNotifierItemDBus: service is "org.kde.StatusNotifierItem-18050-1"
akonadi_kolab_resource_11(9739)/kdepimlibs (kimap) KIMAP::LoginJob::handleResponse: "Capability" "*"
akonadi_kolab_resource_11(9739)/kdepimlibs (kimap) KIMAP::LoginJob::handleResponse: Capabilities updated:  ("IMAP4rev1", "LITERAL+", "ID", "ENABLE", "ACL", "RIGHTS=kxte", "QUOTA", "MAILBOX-REFERRALS", "NAMESPACE", "UIDPLUS", "NO_ATOMIC_RENAME", "UNSELECT", "CHILDREN", "MULTIAPPEND", "BINARY", "CATENATE", "CONDSTORE", "ESEARCH", "SORT", "SORT=MODSEQ", "SORT=DISPLAY", "THREAD=ORDEREDSUBJECT", "THREAD=REFERENCES", "ANNOTATEMORE", "LIST-EXTENDED", "WITHIN", "QRESYNC", "SCAN", "XLIST", "URLAUTH", "URLAUTH=BINARY", "X-NETSCAPE", "AUTH=PLAIN", "AUTH=LOGIN", "SASL-IR", "COMPRESS=DEFLATE", "IDLE")
akonadi_kolab_resource_11(9739)/kdepimlibs (kimap) KIMAP::LoginJob::handleResponse: "Capability" "A000001"
akonadi_kolab_resource_11(9739)/kdepimlibs (kimap) KIMAP::LoginJob::handleResponse: "Login" "A000002"
akonadi_kolab_resource_11(9739)/kdepimlibs (kimap) KIMAP::LoginJob::~LoginJob: KIMAP::LoginJob(0x248b280)
akonadi_kolab_resource_11(9739) ImapResourceBase::doSetOnline: online= true
akonadi_kolab_resource_11(9739)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
akonadi_kolab_resource_11(9739) KolabRetrieveCollectionsTask::createCollection: creating collection  "INBOX"  with parent  ()
akonadi_kolab_resource_11(9739) KolabRetrieveCollectionsTask::createCollection: creating collection  "Arbeit"  with parent  ()
akonadi_kolab_resource_11(9739) KolabRetrieveCollectionsTask::createCollection: creating collection  "Belege"  with parent  ()
akonadi_kolab_resource_11(9739) KolabRetrieveCollectionsTask::createCollection: creating collection  "Calendar"  with parent  ()
akonadi_kolab_resource_11(9739) KolabRetrieveCollectionsTask::createCollection: creating collection  "Configuration"  with parent  ()
akonadi_kolab_resource_11(9739) KolabRetrieveCollectionsTask::createCollection: creating collection  "Contacts"  with parent  ()
akonadi_kolab_resource_11(9739) KolabRetrieveCollectionsTask::createCollection: creating collection  "Default List"  with parent  ()
akonadi_kolab_resource_11(9739) KolabRetrieveCollectionsTask::createCollection: creating collection  "Drafts"  with parent  ()
akonadi_kolab_resource_11(9739) KolabRetrieveCollectionsTask::createCollection: creating collection  "Freebusy"  with parent  ()
akonadi_kolab_resource_11(9739) KolabRetrieveCollectionsTask::createCollection: creating collection  "Journal"  with parent  ()
akonadi_kolab_resource_11(9739) KolabRetrieveCollectionsTask::createCollection: creating collection  "Mobile List"  with parent  ()
akonadi_kolab_resource_11(9739) KolabRetrieveCollectionsTask::createCollection: creating collection  "Notes"  with parent  ()
akonadi_kolab_resource_11(9739) KolabRetrieveCollectionsTask::createCollection: creating collection  "Privat"  with parent  ()
akonadi_kolab_resource_11(9739) KolabRetrieveCollectionsTask::createCollection: creating collection  "Reisen"  with parent  ()
akonadi_kolab_resource_11(9739) KolabRetrieveCollectionsTask::createCollection: creating collection  "Remember The Milk"  with parent  ()
akonadi_kolab_resource_11(9739) KolabRetrieveCollectionsTask::createCollection: creating collection  "Sent"  with parent  ()
akonadi_kolab_resource_11(9739) KolabRetrieveCollectionsTask::createCollection: creating collection  "Tasks"  with parent  ()
akonadi_kolab_resource_11(9739) KolabRetrieveCollectionsTask::createCollection: creating collection  "Trash"  with parent  ()
akonadi_kolab_resource_11(9739) KolabRetrieveCollectionsTask::createCollection: creating collection  "Week Numbers"  with parent  ()
akonadi_kolab_resource_11(9739) KolabRetrieveCollectionsTask::createCollection: creating collection  "christian.mollekopfatgmail.com"  with parent  ()
akonadi_kolab_resource_11(9739) KolabRetrieveCollectionsTask::createCollection: creating collection  "Other Users/christian.mollekopf/myshare"  with parent  ("Other Users", "christian.mollekopf")
akonadi_kolab_resource_11(9739) KolabRetrieveCollectionsTask::createCollection: creating collection  "Other Users/christian.mollekopf/sharedcalendar"  with parent  ("Other Users", "christian.mollekopf")
akonadi_kolab_resource_11(9739)/libakonadi Akonadi::CollectionSync::Private::execute: void Akonadi::CollectionSync::Private::execute() localListDone:  false  deliveryDone:  true
kwalletmanager(18050)/kdeui (KNotification) KStatusNotifierItemPrivate::registerToDaemon: Registering a client interface to the KStatusNotifierWatcher
kwalletmanager(18050)/kdeui (KNotification) KStatusNotifierItemPrivate::registerToDaemon: KStatusNotifierWatcher not reachable
QSystemTrayIcon::setVisible: No Icon set
akonadi_kolab_resource_11(9739)/libakonadi Akonadi::CollectionSync::Private::execute: void Akonadi::CollectionSync::Private::execute() localListDone:  true  deliveryDone:  true
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
kded(9026)/networkstatus NetworkStatusModule::solidNetworkingStatusChanged: SolidNetwork changed status:  0
kded(9026)/networkstatus NetworkStatusModule::setNetworkStatus: "SolidNetwork" ,  0
akonadi_kolab_resource_11(9739) ImapResourceBase::doSetOnline: online= true
 list is empty
kwalletd(9040)/kdeui (Wallet) KWalletD::connectToScreenSaver: Service org.freedesktop.ScreenSaver not found. Retrying in 10 seconds...
akonadi_kolab_resource_11(9739)/kdepimlibs (kimap) KIMAP::SessionPrivate::responseReceived: Received BYE:  "idle for too long "
akonadi_kolab_resource_11(9739)/kdepimlibs (kimap) KIMAP::SessionThread::doCloseSocket: close
akonadi_kolab_resource_11(9739) ImapResourceBase::doSetOnline: online= false
akonadi_kolab_resource_11(9739) ImapResourceBase::doSetOnline: online= true
akonadi_kolab_resource_11(9739)/kdeui (Wallet) KWallet::Wallet::openWallet: Pass a valid window to KWallet::Wallet::openWallet().
kwalletd(9040)/kdeui (Wallet) KWalletD::openAsync: openAsync for  ":1.1163"
akonadi_kolab_resource_11(9739)/kdepimlibs (kimap) KIMAP::LoginJob::LoginJob: KIMAP::LoginJob(0x2574e20)
akonadi_kolab_resource_11(9739)/kdepimlibs (kimap) KIMAP::SessionThread::reconnect: connectToHost "192.168.122.10" 993
akonadi_kolab_resource_11(9739)/kdepimlibs (kimap) KIMAP::LoginJob::doStart: KIMAP::LoginJob(0x2574e20)
kded(9026)/networkstatus NetworkStatusModule::solidNetworkingStatusChanged: SolidNetwork changed status:  1
kded(9026)/networkstatus NetworkStatusModule::setNetworkStatus: "SolidNetwork" ,  1
akonadi_kolab_resource_11(9739) ImapResourceBase::doSetOnline: online= false
akonadi_kolab_resource_11(9739)/kssl KTcpSocket::showSslErrors: "The host name did not match any of the valid hosts for this certificate"
akonadi_kolab_resource_11(9739)/kssl KTcpSocket::showSslErrors: "The certificate is self-signed, and untrusted"
akonadi_kolab_resource_11(9739)/kssl KTcpSocket::showSslErrors: "The certificate has expired"
akonadi_kolab_resource_11(9739)/kdepimlibs (kimap) KIMAP::SessionThread::sslConnected: Initial SSL handshake failed. cipher.isNull() is false , cipher.usedBits() is 256 , the socket says: "Unknown error" and the list of SSL errors contains 3 items.
akonadi_kolab_resource_11(9739)/kssl KIO::SslUi::askIgnoreSslErrors: Error list empty after removing errors to be ignored. Continuing.
akonadi_kolab_resource_11(9739)/kdepimlibs (kimap) KIMAP::LoginJob::handleResponse: "Capability" "*"
akonadi_kolab_resource_11(9739)/kdepimlibs (kimap) KIMAP::LoginJob::handleResponse: Capabilities updated:  ("IMAP4rev1", "LITERAL+", "ID", "ENABLE", "ACL", "RIGHTS=kxte", "QUOTA", "MAILBOX-REFERRALS", "NAMESPACE", "UIDPLUS", "NO_ATOMIC_RENAME", "UNSELECT", "CHILDREN", "MULTIAPPEND", "BINARY", "CATENATE", "CONDSTORE", "ESEARCH", "SORT", "SORT=MODSEQ", "SORT=DISPLAY", "THREAD=ORDEREDSUBJECT", "THREAD=REFERENCES", "ANNOTATEMORE", "LIST-EXTENDED", "WITHIN", "QRESYNC", "SCAN", "XLIST", "URLAUTH", "URLAUTH=BINARY", "X-NETSCAPE", "AUTH=PLAIN", "AUTH=LOGIN", "SASL-IR", "COMPRESS=DEFLATE", "IDLE")
akonadi_kolab_resource_11(9739)/kdepimlibs (kimap) KIMAP::LoginJob::handleResponse: "Capability" "A000001"
akonadi_kolab_resource_11(9739)/kdepimlibs (kimap) KIMAP::LoginJob::handleResponse: "Login" "A000002"
akonadi_kolab_resource_11(9739)/kdepimlibs (kimap) KIMAP::LoginJob::~LoginJob: KIMAP::LoginJob(0x2574e20)
akonadi_kolab_resource_11(9739) ImapResourceBase::doSetOnline: online= false
akonadi_kolab_resource_11(9739)/kdepimlibs (kimap) KIMAP::SessionPrivate::responseReceived: Received BYE:  "LOGOUT received "
kded(9026)/networkstatus NetworkStatusModule::solidNetworkingStatusChanged: SolidNetwork changed status:  3
kded(9026)/networkstatus NetworkStatusModule::setNetworkStatus: "SolidNetwork" ,  3
akonadi_kolab_resource_11(9739) ImapResourceBase::doSetOnline: online= false
kded(9026)/networkstatus NetworkStatusModule::solidNetworkingStatusChanged: SolidNetwork changed status:  4
kded(9026)/networkstatus NetworkStatusModule::setNetworkStatus: "SolidNetwork" ,  4
kwalletd(9040)/kdeui (Wallet) KWalletD::connectToScreenSaver: Service org.freedesktop.ScreenSaver not found. Retrying in 10 seconds...
akonadi_kolab_resource_11(9739) ImapResourceBase::doSetOnline: online= true
 list is empty
akonadi_kolab_resource_11(9739)/kdeui (Wallet) KWallet::Wallet::openWallet: Pass a valid window to KWallet::Wallet::openWallet().
kwalletd(9040)/kdeui (Wallet) KWalletD::openAsync: openAsync for  ":1.1163"
akonadi_kolab_resource_11(9739)/kdepimlibs (kimap) KIMAP::LoginJob::LoginJob: KIMAP::LoginJob(0x25dffb0)
akonadi_kolab_resource_11(9739)/kdepimlibs (kimap) KIMAP::SessionThread::reconnect: connectToHost "192.168.122.10" 993
kwalletd(9040)/kdeui (Wallet) KWalletD::openAsync: openAsync for  ":1.1164"
akonadi_kolab_resource_11(9739)/kdepimlibs (kimap) KIMAP::LoginJob::doStart: KIMAP::LoginJob(0x25dffb0)
akonadi_kolab_resource_11(9739)/kssl KTcpSocket::showSslErrors: "The host name did not match any of the valid hosts for this certificate"
akonadi_kolab_resource_11(9739)/kssl KTcpSocket::showSslErrors: "The certificate is self-signed, and untrusted"
akonadi_kolab_resource_11(9739)/kssl KTcpSocket::showSslErrors: "The certificate has expired"
akonadi_kolab_resource_11(9739)/kdepimlibs (kimap) KIMAP::SessionThread::sslConnected: Initial SSL handshake failed. cipher.isNull() is false , cipher.usedBits() is 256 , the socket says: "Unknown error" and the list of SSL errors contains 3 items.
akonadi_kolab_resource_11(9739)/kssl KIO::SslUi::askIgnoreSslErrors: Error list empty after removing errors to be ignored. Continuing.
akonadi_kolab_resource_11(9739)/kdepimlibs (kimap) KIMAP::LoginJob::handleResponse: "Capability" "*"
akonadi_kolab_resource_11(9739)/kdepimlibs (kimap) KIMAP::LoginJob::handleResponse: Capabilities updated:  ("IMAP4rev1", "LITERAL+", "ID", "ENABLE", "ACL", "RIGHTS=kxte", "QUOTA", "MAILBOX-REFERRALS", "NAMESPACE", "UIDPLUS", "NO_ATOMIC_RENAME", "UNSELECT", "CHILDREN", "MULTIAPPEND", "BINARY", "CATENATE", "CONDSTORE", "ESEARCH", "SORT", "SORT=MODSEQ", "SORT=DISPLAY", "THREAD=ORDEREDSUBJECT", "THREAD=REFERENCES", "ANNOTATEMORE", "LIST-EXTENDED", "WITHIN", "QRESYNC", "SCAN", "XLIST", "URLAUTH", "URLAUTH=BINARY", "X-NETSCAPE", "AUTH=PLAIN", "AUTH=LOGIN", "SASL-IR", "COMPRESS=DEFLATE", "IDLE")
akonadi_kolab_resource_11(9739)/kdepimlibs (kimap) KIMAP::LoginJob::handleResponse: "Capability" "A000001"
akonadi_kolab_resource_11(9739)/kdepimlibs (kimap) KIMAP::LoginJob::handleResponse: "Login" "A000002"
akonadi_kolab_resource_11(9739)/kdepimlibs (kimap) KIMAP::LoginJob::~LoginJob: KIMAP::LoginJob(0x25dffb0)
akonadi_kolab_resource_11(9739) ImapResourceBase::doSetOnline: online= true
KCrash: Application 'akonadi_kolab_resource' crashing...
KCrash: Attempting to start /usr/libexec/kde4/drkonqi from kdeinit
sock_file=/home/devel/.kde4src/socket-t420s.chrigi/kdeinit4_localhost_10
void Akonadi::Server::NotificationSource::serviceUnregistered(const QString&) Notification source "akonadi_kolab_resource_11_9739_ZJEwNv" now serving: ()
Unregistering search instance "akonadi_kolab_resource_11"
Comment 21 Christian Mollekopf 2014-07-23 23:25:49 UTC
It crashes in qobject on:
const QMetaObject *smeta = sender->metaObject();

so it's indeed the session that is invalid.
Comment 22 auxsvr 2014-07-25 23:02:38 UTC
Created attachment 87955 [details]
New crash information added by DrKonqi

akonadi_imap_resource (4.13) on KDE Platform 4.13.3 using Qt 4.8.4

- What I was doing when the application crashed:

The internet connection failed for some minutes. After it was restored, the imap resource crashed.

-- Backtrace (Reduced):
#6  0xb722e4f9 in QObject::disconnect (sender=0x9ac2558, signal=0x80bcd10 "2stateChanged(KIMAP::Session::State,KIMAP::Session::State)", receiver=0x9b4cec8, method=0x80bcccc "1onSessionStateChanged(KIMAP::Session::State,KIMAP::Session::State)") at kernel/qobject.cpp:2896
#7  0x080a85bd in SessionPool::killSession (this=this@entry=0x9b4cec8, session=0x9ac2558, termination=termination@entry=SessionPool::LogoutSession) at /usr/src/debug/kdepim-runtime-4.13.3/resources/imap/sessionpool.cpp:182
#8  0x080a89cc in SessionPool::disconnect (this=0x9b4cec8, termination=SessionPool::LogoutSession) at /usr/src/debug/kdepim-runtime-4.13.3/resources/imap/sessionpool.cpp:115
#9  0x0806009b in ImapResource::doSetOnline (this=0x9b41e08, online=false) at /usr/src/debug/kdepim-runtime-4.13.3/resources/imap/imapresource.cpp:623
#10 0xb74795ca in Akonadi::AgentBase::setOnlineInternal (this=this@entry=0x9b41e08, state=state@entry=false) at /usr/src/debug/kdepimlibs-4.13.3/akonadi/agentbase.cpp:967
Comment 23 didi.debian 2014-10-24 08:16:14 UTC
The problem is still present in 4.14.2.
I'm running Debian Sid (fully up-to-date) on amd64.
I have noticed that with the 4.14 series I get 1-3 times a day that a resource goes offline, which surprises me since afaik my internet connection is quite stable (all wired).

And yesterday I got a segmentation fault on one of my IMAP resources.
Backtrace:

Application: me@email.com of type IMAP E-Mail Server (akonadi_imap_resource), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fd5914b4780 (LWP 2119))]

Thread 2 (Thread 0x7fd577fff700 (LWP 9008)):
#0  __libc_enable_asynccancel () at ../nptl/sysdeps/unix/sysv/linux/x86_64/cancellation.S:65
#1  0x00007fd58cce70e2 in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0x00007fd58bc74ee4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fd58bc74ffc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fd590abc507 in QEventDispatcherGlib::processEvents (this=0x7fd56c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007fd590a8bae1 in QEventLoop::processEvents (this=this@entry=0x7fd577ffee50, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007fd590a8be45 in QEventLoop::exec (this=this@entry=0x7fd577ffee50, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007fd590980b89 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:538
#8  0x00007fd5909833ef in QThreadPrivate::start (arg=0xf92080) at thread/qthread_unix.cpp:349
#9  0x00007fd58c3610a4 in start_thread (arg=0x7fd577fff700) at pthread_create.c:309
#10 0x00007fd58ccefc2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 1 (Thread 0x7fd5914b4780 (LWP 2119)):
[KCrash Handler]
#6  0x00007fd590a9f2f8 in QObject::thread (this=this@entry=0xf69020) at kernel/qobject.cpp:1398
#7  0x00007fd590aa74c8 in QObject::QObject (this=0xf6c440, parent=0xf69020) at kernel/qobject.cpp:752
#8  0x00007fd58d88caee in KJob::KJob (this=0xf6c440, parent=<optimized out>) at ../../kdecore/jobs/kjob.cpp:50
#9  0x00007fd58e64e505 in KIMAP::Job::Job (this=0xf6c440, dd=...) at ../../kimap/job.cpp:36
#10 0x00007fd58e681f49 in KIMAP::QuotaJobBase::QuotaJobBase (this=0xf6c440, dd=...) at ../../kimap/quotajobbase.cpp:53
#11 0x00007fd58e684a27 in KIMAP::GetQuotaRootJob::GetQuotaRootJob (this=0xf6c440, session=<optimized out>) at ../../kimap/getquotarootjob.cpp:47
#12 0x000000000044083b in RetrieveCollectionMetadataTask::doStart (this=0xf23e70, session=0xf69020) at ../../../resources/imap/retrievecollectionmetadatatask.cpp:106
#13 0x000000000043f8b3 in ResourceTask::onSessionRequested (this=0xf23e70, requestId=<optimized out>, session=0xf69020, errorCode=0) at ../../../resources/imap/resourcetask.cpp:119
#14 0x000000000046e01d in ResourceTask::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at moc_resourcetask.cpp:69
#15 0x00007fd590aa1f4c in QMetaObject::activate (sender=sender@entry=0xee6bc0, m=m@entry=0x48f0c0 <SessionPool::staticMetaObject>, local_signal_index=local_signal_index@entry=1, argv=argv@entry=0x7fff71d79b50) at kernel/qobject.cpp:3567
#16 0x000000000046e192 in SessionPool::sessionRequestDone (this=this@entry=0xee6bc0, _t1=_t1@entry=834, _t2=_t2@entry=0xf69020, _t3=_t3@entry=0, _t4=...) at moc_sessionpool.cpp:153
#17 0x000000000045754a in SessionPool::processPendingRequests (this=0xee6bc0) at ../../../resources/imap/sessionpool.cpp:257
#18 0x000000000046e2ed in SessionPool::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at moc_sessionpool.cpp:92
#19 0x00007fd590aa6641 in QObject::event (this=0xee6bc0, e=<optimized out>) at kernel/qobject.cpp:1222
#20 0x00007fd58fde129c in QApplicationPrivate::notify_helper (this=this@entry=0xd92030, receiver=receiver@entry=0xee6bc0, e=e@entry=0xf72160) at kernel/qapplication.cpp:4570
#21 0x00007fd58fde7da8 in QApplication::notify (this=this@entry=0x7fff71d7a2b0, receiver=receiver@entry=0xee6bc0, e=e@entry=0xf72160) at kernel/qapplication.cpp:4356
#22 0x00007fd58de8e09a in KApplication::notify (this=0x7fff71d7a2b0, receiver=0xee6bc0, event=0xf72160) at ../../kdeui/kernel/kapplication.cpp:311
#23 0x00007fd590a8cf8d in QCoreApplication::notifyInternal (this=0x7fff71d7a2b0, receiver=receiver@entry=0xee6bc0, event=event@entry=0xf72160) at kernel/qcoreapplication.cpp:955
#24 0x00007fd590a90821 in sendEvent (event=0xf72160, receiver=0xee6bc0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#25 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0xd5b0c0) at kernel/qcoreapplication.cpp:1579
#26 0x00007fd590a90cb3 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1472
#27 0x00007fd590abc3a3 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#28 postEventSourceDispatch (s=0xd83670) at kernel/qeventdispatcher_glib.cpp:280
#29 0x00007fd58bc74c5d in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#30 0x00007fd58bc74f48 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#31 0x00007fd58bc74ffc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#32 0x00007fd590abc4ed in QEventDispatcherGlib::processEvents (this=0xd83880, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#33 0x00007fd58fe85b96 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#34 0x00007fd590a8bae1 in QEventLoop::processEvents (this=this@entry=0x7fff71d7a220, flags=...) at kernel/qeventloop.cpp:149
#35 0x00007fd590a8be45 in QEventLoop::exec (this=this@entry=0x7fff71d7a220, flags=...) at kernel/qeventloop.cpp:204
#36 0x00007fd590a918b9 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1227
#37 0x00007fd58fddf73c in QApplication::exec () at kernel/qapplication.cpp:3828
#38 0x00007fd590f896ac in Akonadi::ResourceBase::init (r=r@entry=0xf20050) at ../../akonadi/resourcebase.cpp:579
#39 0x00000000004189ce in Akonadi::ResourceBase::init<ImapResource> (argc=<optimized out>, argv=<optimized out>) at /usr/include/akonadi/resourcebase.h:193
#40 0x00007fd58cc2bb45 in __libc_start_main (main=0x418300 <main(int, char**)>, argc=3, argv=0x7fff71d7a3c8, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fff71d7a3b8) at libc-start.c:287
#41 0x0000000000418874 in _start ()
Comment 24 Scarlett Moore 2014-11-01 23:36:38 UTC
My internet is very unstable so this causes my Kmail to be non functional most of the time. Which is a pity because I love kmail.
Comment 25 Frank Beise 2014-11-24 11:47:52 UTC
Created attachment 89712 [details]
New crash information added by DrKonqi

akonadi_imap_resource (4.14) on KDE Platform 4.14.2 using Qt 4.8.6

Notebook Fujitsu E780, OpenSUSE 13.2 + 13.1
- What I was doing when the application crashed:
Sending Notebook to sleep (s2both, I guess), after re-enabling by opening the lid and activating KMail (not immediately, wifi connection was already reestablished and stable) the crash happened.
Additionally, I recognized that quite often after awakening KMail hangs (without crashing), so I have to close it completely (i.e. notification also) and restart KMail.

-- Backtrace (Reduced):
#5  0x00007fc89e058804 in QObject::thread() const () at /usr/lib64/libQtCore.so.4
#6  0x00007fc89e060398 in QObject::QObject(QObject*) () at /usr/lib64/libQtCore.so.4
#7  0x00007fc89af27f3e in KJob::KJob(QObject*) () at /usr/lib64/libkdecore.so.5
#8  0x00007fc89bc8a155 in KIMAP::Job::Job(KIMAP::JobPrivate&) () at /usr/lib64/libkimap.so.4
#9  0x00007fc89bc9484b in KIMAP::ListJob::ListJob(KIMAP::Session*) () at /usr/lib64/libkimap.so.4
Comment 26 RJVB 2015-01-14 09:20:06 UTC
Created attachment 90401 [details]
New crash information added by DrKonqi

akonadi_imap_resource (4.13) on KDE Platform 4.14.4 using Qt 4.8.6

- What I was doing when the application crashed:

Woke the computer from sleep. It's surprising this bug is still not fixed...

-- Backtrace (Reduced):
#6  0x00007f77cfcacc75 in QObject::disconnect (sender=0x1a4faf0, signal=0x1dd4149 "stateChanged(KIMAP::Session::State,KIMAP::Session::State)", receiver=0x1c9a5a0, method=0x1dd2d29 "onSessionStateChanged(KIMAP::Session::State,KIMAP::Session::State)") at kernel/qobject.cpp:2982
#7  0x000000000046c01c in SessionPool::killSession (this=0x1c9a5a0, session=0x1a4faf0, termination=SessionPool::LogoutSession) at ../../../resources/imap/sessionpool.cpp:181
#8  0x000000000046ba04 in SessionPool::disconnect (this=0x1c9a5a0, termination=SessionPool::LogoutSession) at ../../../resources/imap/sessionpool.cpp:115
#9  0x000000000041b827 in ImapResource::startConnect (this=0x1f76070) at ../../../resources/imap/imapresource.cpp:302
#10 0x0000000000443188 in ImapResource::qt_static_metacall (_o=_o@entry=0x1f76070, _c=<optimized out>, _id=<optimized out>, _a=_a@entry=0x7fffc315ce30) at ./moc_imapresource.cpp:117
Comment 27 Daniel Vrátil 2017-01-07 12:49:03 UTC
*** Bug 366151 has been marked as a duplicate of this bug. ***
Comment 28 Daniel Vrátil 2017-01-07 12:49:36 UTC
*** Bug 361213 has been marked as a duplicate of this bug. ***
Comment 29 Daniel Vrátil 2017-01-07 12:49:49 UTC
*** Bug 345833 has been marked as a duplicate of this bug. ***
Comment 30 Daniel Vrátil 2017-01-07 12:49:55 UTC
*** Bug 340942 has been marked as a duplicate of this bug. ***
Comment 31 Daniel Vrátil 2017-01-07 12:50:07 UTC
*** Bug 344791 has been marked as a duplicate of this bug. ***
Comment 32 Daniel Vrátil 2017-01-07 12:50:30 UTC
*** Bug 350559 has been marked as a duplicate of this bug. ***
Comment 33 Daniel Vrátil 2017-01-07 12:50:39 UTC
*** Bug 340740 has been marked as a duplicate of this bug. ***
Comment 34 Daniel Vrátil 2017-01-07 12:51:45 UTC
This one was fixed some time around KDE 4.14.